=== debian/changelog ===
ros-indigo-canopen-master (0.6.9-0trusty) trusty; urgency=high



 -- Mathias Lüdtke <mathias.luedtke@ipa.fraunhofer.de>  Tue, 22 May 2018 22:00:00 -0000

ros-indigo-canopen-master (0.6.8-0trusty) trusty; urgency=high

  * added EMCYHandler::resetErrors
  * added VectorHelper::callFunc
    generalized call templates
  * Contributors: Mathias Lüdtke

 -- Mathias Lüdtke <mathias.luedtke@ipa.fraunhofer.de>  Mon, 17 Jul 2017 22:00:00 -0000

ros-indigo-canopen-master (0.6.7-0trusty) trusty; urgency=high

  * fix: handle EMCY as error, not as warning
  * Contributors: Mathias Lüdtke

 -- Mathias Lüdtke <mathias.luedtke@ipa.fraunhofer.de>  Mon, 27 Mar 2017 22:00:00 -0000

ros-indigo-canopen-master (0.6.6-0trusty) trusty; urgency=high

  * refactored EMCY handling into separate layer
  * print EMCY to stdout
  * send node start on recover
    needed for external sync to work properly
  * pass halt on error unconditionally
  * added canopen_bcm_sync
  * added object access services
  * implemented ObjectStorage::getStringReader
  * implemented ExternalMaster
  * Contributors: Mathias Lüdtke

 -- Mathias Lüdtke <mathias.luedtke@ipa.fraunhofer.de>  Fri, 17 Mar 2017 23:00:00 -0000

ros-indigo-canopen-master (0.6.5-0trusty) trusty; urgency=high

  * Merge pull request #179 <https://github.com/ipa-mdl/ros_canopen/issues/179> from ipa-mdl/mixed_case_access
    support mixed-case access strings in EDS
  * decouple listener initialization from 1003 binding
  * introduced THROW_WITH_KEY and ObjectDict::key_info
  * added access type tests
  * convert access string to lowercase
  * Do not remove shared memory automatically
  * hardened code with the help of cppcheck
  * throw verbose exception if AccessType is missing (#64 <https://github.com/ipa-mdl/ros_canopen/issues/64>)
  * styled and sorted CMakeLists.txt
    * removed boilerplate comments
    * indention
    * reviewed exported dependencies
  * styled and sorted package.xml
  * canopen_master needs to depend on rosunit for gtest
  * update package URLs
  * fixed typo
  * do not reset PDO COB-ID if it is not writable
  * Do not recurse into sub-objects, handle them as simple data
  * strip string before searching for $NODEID
  * added NodeID/hex parser test
  * do full recover if if driver is not ready
  * wait for driver to be shutdown in run()
  * limit SDO reader to size of 1
  * do not send abort twice
  * removed unnecessary sleep (added for tests only)
  * catch all std exceptions in layer handlers
  * migrated SDOClient to BufferedReader
  * getter for LayerState
  * fixed lost wake-up condition, unified SDO accessors
  * minor NMT improvements
  * removed cond from PDOMapper, it does not wait on empty buffer anymore
  * Simple master counts nodes as well
  * throw exception on read from empty buffer
  * proper initialisation of PDO data from SDOs
  * change sync subscription only on change
  * shutdown and restart CAN layer on recover
  * canopen::Exception is now based on std::runtime_error
  * Merge pull request #109 <https://github.com/ipa-mdl/ros_canopen/issues/109> from ipa-mdl/shutdown-crashes
    Fix for pluginlib-related crashes on shutdown
  * stop after heartbeat was disabled, do not wait for state switch
  * added virtual destructor to SyncCounter
  * Use getHeartbeatInterval()
  * minor shutdown improvements
  * removed unstable StateWaiter::wait_for
  * Revert change to handleShutdown
  * Heartbeat interval is uint16, not double
  * Added validity check to heartbeat_ (Some devices do not support heartbeat)
  * Contributors: Florian Weisshardt, Mathias Lüdtke, Michael Stoll

 -- Mathias Lüdtke <mathias.luedtke@ipa.fraunhofer.de>  Fri, 09 Dec 2016 23:00:00 -0000

ros-indigo-canopen-master (0.6.4-0trusty) trusty; urgency=high

  * added missing include, revised depends etc.

 -- Mathias Lüdtke <mathias.luedtke@ipa.fraunhofer.de>  Thu, 02 Jul 2015 22:00:00 -0000

ros-indigo-canopen-master (0.6.3-0trusty) trusty; urgency=high

  * added Settings class
  * added SimpleMaster
  * remove boost::posix_time::milliseconds from SyncProperties
  * removed support for silence_us since bus timing cannot be guaranteed
  * properly handle cases where def_val == init_val
  * implemented plugin-based Master allocators, defaults to LocalMaster
  * moved master/synclayer base classes to canopen.h
  * added support for non-continuous PDO ranges
  * added has() check to object dictionary interface
  * improved ObjectStorage entry interface
  * verbose out_of_range exception
  * improved timer: duration cast, autostart flag
  * reset sync waiter number after timeout
  * verbose timeout exception
  * little fix im EMCY diagnostics
  * string instead of mulit-char constant
  * Merge branch 'hwi_switch' into muparser
  * added std::string converters to ObjectDict::Key
  * do not warn on profile-only errors
  * added get_abs_time without parameter
  * link against boost_atomic for platforms with lock-based implementation
  * reset sent Reset and Reset_Com, c&p bug
  * stop heartbeat after node shutdown
  * protect reads of LayerState
  * protect layers in VectorHelper
  * protect buffer data
  * set error only if generic error bit is set, otherwise just warn about it
  * Fixes https://github.com/ipa320/ros_canopen/issues/81
  * Update emcy.cpp
  * removed debug outputs
  * refactored Layer mechanisms
  * simplified init
  * simplified EMCY handling
  * improved hearbeat handling
  * do not stop master on slave timeout
  * improved pending handling in complex layers
  * added set_cached for object entries
  * removed IPCLayer sync listener, loopback is disabled per default
  * Merge branch 'dummy_interface' into indigo_dev
    Conflicts:
    canopen_master/src/objdict.cpp
  * added sync silence feature
  * Merge remote-tracking branch 'origin/fix32bit' into indigo_dev
  * require message strings for error indicators, added missing strings, added ROS logging in sync loop
  * fix ambiguous buffer access with 32bit compilers
  * pad octet strings if necessary

