=== debian/control ===
Source: ros-indigo-canopen-master
Section: misc
Priority: extra
Maintainer: Mathias Lüdtke <mathias.luedtke@ipa.fraunhofer.de>
Build-Depends: debhelper (>= 9.0.0), libboost-all-dev, ros-indigo-catkin, ros-indigo-class-loader, ros-indigo-rosunit, ros-indigo-socketcan-interface
Homepage: http://wiki.ros.org/canopen_master
Standards-Version: 3.9.2

Package: ros-indigo-canopen-master
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libboost-all-dev, ros-indigo-class-loader, ros-indigo-socketcan-interface
Description: CiA(r) CANopen 301 master implementation with support for interprocess master synchronisation.
